Archeblade > FAQ > Topic Details
Maestromind Apr 2, 2013 @ 6:21pm
Version Conflict
This error is usually encountered after a new patch has been applied. Please try the following steps in order to resolve; if the first fails move on to the second, and from the second to the third, etc.

1. Are you attempting to connect to a private server? If so try seleceting either a different private server and/or an official server.

2. Restart Steam - If you haven't patched this should cause the game to atuomatically patch to the latest version.

3. Verify the game files, this can be done by: Right clicking on ArcheBlade from within the Steam library -> Properties -> Local Files -> Verify integrity of game cache.... This will check your files for consistency and will repair if needed.

If after following these steps you are still receiving a version conflict error please make a forum post, and someone will try to assist ASAP.
Last edited by Maestromind; Apr 2, 2013 @ 6:23pm